Write-Host "Geben Sie die Anmeldeinformationen fuer das Konto CONTOSO\SP_WebApps ein."
Write-Host "Das Kennwort des Kontos lautet Pa`$`$w0rd."
Write-Host "Druecken Sie die Eingabetaste, um den Vorgang fortzusetzen"
$temp = Read-Host

$cred = Get-Credential "CONTOSO\SP_WebApps"

Write-Host "Registriere ein verwaltetes Konto: CONTOSO\SP_WebApps"
New-SPManagedAccount -Credential $cred

Write-Host
Write-Host "Erstelle eine Webanwendung: teams.contoso.com"

New-SPWebApplication -Name "Contoso Team Collaboration" -Port 80 -HostHeader "teams.contoso.com" -URL "http://teams.contoso.com:80" -ApplicationPool "SharePoint Web Applications" -ApplicationPoolAccount (Get-SPManagedAccount "CONTOSO\SP_WebApps") -DatabaseName "SharePoint_Content_Teams"

Write-Host "Erstelle eine Websitesammlung und die Website der obersten Ebene: http://teams.contoso.com/"

New-SPSite -Url "http://teams.contoso.com" -ContentDatabase SharePoint_Content_Teams -Name "Contoso Collaboration" -Description "Contoso Business Unit, Department, Team and Project Collaboration Sites" -OwnerAlias "CONTOSO\SP_Admin" -Template "STS#0"

Write-Host "Erstelle einen verwalteten Pfad: depts"

New-SPManagedPath "depts" -WebApplication "http://teams.contoso.com"

Write-Host "Erstelle einen DNS-A-Eintrag: teams.contoso.com - 10.0.0.21"

DnsCmd CONTOSO-DC /RecordAdd contoso.com teams A 10.0.0.21

Write-Host "Setup abgeschlossen."
