@echo off
cls

:: Customize VMs
:: by Dan Holme
::
:: The script is provided AS-IS
:: with no warranty expressed or implied
:: Use only in a test environment, at your own risk
::
:: (c) 2010 Intelliem, Inc.
::
:: This script may be used only as directed by the
:: Lab Environment Build Guide
:: that accompanies the 70-667 Training Kit
:: published by Microsoft Press.
:: The script may be used only in conjunction with 
:: study of the Training Kit
::
:: Contact dan.holme@intelliem.com for more information
::

SET DebugLog=YES
SET AllowChoice=NO
SET CourseID=70667TK
SET MachineRole=%COMPUTERNAME%

echo Customize %MachineRole%
echo =============================================================================
echo.
echo Anforderungen:
echo Das Skript muss von einem lokalen Administrator oder mit
echo der Option "Als Administrator ausfuehren" ausgefuehrt werden
echo.

:: CHOICE /T 10 /D Y /M "Sind alle Vorraussetzungen erfuellt? Moechten Sie fortfahren?"
:: IF ERRORLEVEL 2 GOTO :EOF
:: echo.

IF x%CourseID%x==xx SET /p CourseID=Course ID: 
SET VMNAME=%CourseID%-%MachineRole%
IF %DebugLog%==YES SET LOGFILE=C:\%VMNAME%-SetupLog.txt
IF NOT %DebugLog%==YES SET LOGFILE=nul:
echo ======================================== >> %LOGFILE%
echo Skript:   %0 >> %LOGFILE%
echo Datum:    %DATE% %TIME% >> %LOGFILE%
echo Benutzer: %USERNAME% >> %LOGFILE%
echo ======================================== >> %LOGFILE%

echo Rufe _All_MachineConfig auf
echo Rufe _All_MachineConfig auf >> %LOGFILE%
echo.
call "%~dp0_Machine\_All_MachineConfig.bat"

echo.
echo Rufe _All_UserConfig auf
echo Rufe _All_UserConfig auf >> %LOGFILE%
echo.
call "%~dp0_User\_All_UserConfig.bat"

IF NOT %COMPUTERNAME%==CONTOSO-DC GOTO SkipDomain
echo.
echo Aufruf von: 01 Populate Domain Users and Groups
echo Aufruf von: 01 Populate Domain Users and Groups >> %LOGFILE%
echo.
call "%~dp0_Domain\01 Populate Domain Users and Groups.bat"

:SkipDomain

echo.
echo Das Skript faehrt den Computer herunter, um den Vorgang abzuschliessen

:Review
echo =============================================================================
echo Abgeschlossen
:: Stelle ERRORLEVEL auf 0
verify >nul
IF %AllowChoice%==YES CHOICE /T 10 /D N /M "Pause fuer eine Pruefung"
IF ERRORLEVEL 2 GOTO End
IF %AllowChoice%==NO GOTO End
pause

:End
echo.
pause
echo Herunterfahren...
echo Herunterfahren... >> %LOGFILE%
shutdown /t 0 /s

GOTO :EOF